# FoundationClasses
TKernel
NCollection

# FoundationClasses
TKernel
NCollection

# NCollection_DoubleMap< TheKey1Type, TheKey2Type >::Iterator Class Reference

`#include <NCollection_DoubleMap.hxx>`

Inheritance diagram for NCollection_DoubleMap< TheKey1Type, TheKey2Type >::Iterator:

[legend]

## Public Member Functions

| Iterator (void)
| Empty constructor.
| Iterator (const NCollection_DoubleMap &theMap)
| Constructor.
virtual Standard_Boolean | More (void) const
| Query if the end of collection is reached by iterator.
virtual void | Next (void)
| Make a step along the collection.
const TheKey1Type & | Key1 (void) const
| Key1 inquiry.
const TheKey2Type & | Key2 (void) const
| Key2 inquiry.
virtual const TheKey2Type & | Value (void) const
| Value access.
virtual TheKey2Type & | ChangeValue (void) const
| Value change access - denied.
void * | operator new (size_t theSize, const Handle(NCollection_BaseAllocator)&theAllocator)
| Operator new for allocating iterators.

### template<class TheKey1Type, class TheKey2Type>
class NCollection_DoubleMap< TheKey1Type, TheKey2Type >::Iterator

## Constructor & Destructor Documentation

template<class TheKey1Type, class TheKey2Type>
NCollection_DoubleMap< TheKey1Type, TheKey2Type >::Iterator::Iterator | ( | void |  | ) | `[inline]`

| Reimplemented from NCollection_BaseCollection< TheItemType >::Iterator.

template<class TheKey1Type, class TheKey2Type>
NCollection_DoubleMap< TheKey1Type, TheKey2Type >::Iterator::Iterator | ( | const NCollection_DoubleMap & | theMap | ) | `[inline]`

## Member Function Documentation

template<class TheKey1Type, class TheKey2Type>
virtual TheKey2Type& NCollection_DoubleMap< TheKey1Type, TheKey2Type >::Iterator::ChangeValue | ( | void |  | ) | const`[inline, virtual]`

| Implements NCollection_BaseCollection< TheItemType >::Iterator.

template<class TheKey1Type, class TheKey2Type>
const TheKey1Type& NCollection_DoubleMap< TheKey1Type, TheKey2Type >::Iterator::Key1 | ( | void |  | ) | const`[inline]`

template<class TheKey1Type, class TheKey2Type>
const TheKey2Type& NCollection_DoubleMap< TheKey1Type, TheKey2Type >::Iterator::Key2 | ( | void |  | ) | const`[inline]`

template<class TheKey1Type, class TheKey2Type>
virtual Standard_Boolean NCollection_DoubleMap< TheKey1Type, TheKey2Type >::Iterator::More | ( | void |  | ) | const`[inline, virtual]`

| Implements NCollection_BaseCollection< TheItemType >::Iterator.

template<class TheKey1Type, class TheKey2Type>
virtual void NCollection_DoubleMap< TheKey1Type, TheKey2Type >::Iterator::Next | ( | void |  | ) | `[inline, virtual]`

| Implements NCollection_BaseCollection< TheItemType >::Iterator.

template<class TheKey1Type, class TheKey2Type>
void* NCollection_DoubleMap< TheKey1Type, TheKey2Type >::Iterator::operator new | ( | size_t | theSize,
|  | const Handle(NCollection_BaseAllocator)& | theAllocator
| ) | `[inline]`

template<class TheKey1Type, class TheKey2Type>
virtual const TheKey2Type& NCollection_DoubleMap< TheKey1Type, TheKey2Type >::Iterator::Value | ( | void |  | ) | const`[inline, virtual]`

| Implements NCollection_BaseCollection< TheItemType >::Iterator.

The documentation for this class was generated from the following file:

- NCollection_DoubleMap.hxx